/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gui;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.awt.print.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import completemodel.Contact;

import java.awt.print.*;
import java.io.File;
 /**
 *
 * @author bahez,Sediqi,alizai
 * This class provides detail of selected contact
 */
public class ContactDetailsWindow extends javax.swing.JFrame implements GUIinterface,Printable,ActionListener {

	
	
	
	private Printable frame;
	public static GUIinterface window;
	private static Contact contact;
	private static File dest;
	private static ImageIcon icon;
	private static String name,lastName,email,country,sex,city,zipCode,street,apartment,mobile,phone,fax,altEmail,extraInfo;
	ContactDetailsWindow instance;
	private static int index;
	
	
	
	
    /**
     * Constructor method, initialize the frame components also
     */
    public ContactDetailsWindow() {
        initComponents();
        this.instance = this;
    }
    
    
    /**
     * @author Sediqi,Bahez
     * @return page exist 
     * This method is used to print the data on paper/file 
     */
    public int print(Graphics g, PageFormat pf, int page) throws
    PrinterException {

    	if (page > 0) { /* We have only one page, and 'page' is zero-based */
            return NO_SUCH_PAGE;
        }
 
        /* User (0,0) is typically outside the imageable area, so we must
         * translate by the X and Y values in the PageFormat to avoid clipping
         */
        Graphics2D g2d = (Graphics2D)g;
        g2d.translate(pf.getImageableX(), pf.getImageableY());
 
        /* Now print the window and its visible contents */
        //g.drawString(window.getName(), 100, 100);
        g.drawString("Name: "+Name.getText(),50, 50);
        g.drawString("Last Name: "+LastName.getText(),50, 65);
        //g.drawString("Gender: "+Sex.getText(),50, 80);
        g.drawString("Country: "+Country.getText(),50, 95);
        g.drawString("City: "+City.getText(),50, 110);
        g.drawString("Zip Code: "+ZipCode.getText(),50, 125);
        g.drawString("Street No: "+Street.getText(),50, 140);
        g.drawString("Apartment: "+Apartment.getText(),50, 155);
        g.drawString("Mobile: "+Mobile.getText(),50, 170);
        g.drawString("Phone No: "+Phone.getText(),50, 185);
        g.drawString("Email Address: "+EmailAdd.getText(),50, 200);
        g.drawString("Alternative Email: "+AltEmailAdd.getText(),50, 215);
        g.drawString("Fax: "+Fax.getText(),50, 230);
        g.drawString("Additional Information: "+ExtraInfo.getText(),50, 245);
        
        
      
 
        /* tell the caller that this page is part of the printed document */
        return PAGE_EXISTS;
    		}
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings({ "unchecked", "serial" })
    
    private void initComponents() {
    	

        buttonGroup1 = new javax.swing.ButtonGroup();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Contact Details");
        addWindowStateListener(new java.awt.event.WindowStateListener() {
            public void windowStateChanged(java.awt.event.WindowEvent evt) {
                formWindowStateChanged(evt);
            }
        });
        GridBagLayout gridBagLayout = new GridBagLayout();
        gridBagLayout.columnWidths = new int[]{46, 106, 182, 44, 165, 145, 0, 41, 0};
        gridBagLayout.rowHeights = new int[]{71, 35, 35, 36, 0, 46, 35, 35, 35, 35, 35, 35, 35, 56, 35, 0};
        gridBagLayout.columnWeights = new double[]{0.0, 1.0, 1.0, 0.0, 1.0, 1.0, 0.0, 0.0, Double.MIN_VALUE};
        gridBagLayout.rowWeights = new double[]{0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, Double.MIN_VALUE};
        getContentPane().setLayout(gridBagLayout);
        jLabel1 = new javax.swing.JLabel();
        
                jLabel1.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel1.setText("Name :");
                jLabel1.setBorder(null);
                jLabel1.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
                GridBagConstraints gbc_jLabel1 = new GridBagConstraints();
                gbc_jLabel1.fill = GridBagConstraints.BOTH;
                gbc_jLabel1.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel1.gridx = 1;
                gbc_jLabel1.gridy = 1;
                getContentPane().add(jLabel1, gbc_jLabel1);
        Name = new javax.swing.JLabel();
        
                Name.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Name.setText(name);
                Name.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Name = new GridBagConstraints();
                gbc_Name.fill = GridBagConstraints.BOTH;
                gbc_Name.insets = new Insets(0, 0, 5, 5);
                gbc_Name.gridwidth = 2;
                gbc_Name.gridx = 2;
                gbc_Name.gridy = 1;
                getContentPane().add(Name, gbc_Name);
        ImageViewer = new javax.swing.JLabel();
        
                ImageViewer.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                //ImageViewer.setIcon(new javax.swing.ImageIcon(getClass().getResource("images.jpeg")));
                ImageViewer.setIcon(icon);
                ImageViewer.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
                GridBagConstraints gbc_ImageViewer = new GridBagConstraints();
                gbc_ImageViewer.insets = new Insets(0, 0, 5, 5);
                gbc_ImageViewer.gridheight = 6;
                gbc_ImageViewer.gridwidth = 2;
                gbc_ImageViewer.gridx = 4;
                gbc_ImageViewer.gridy = 0;
                getContentPane().add(ImageViewer, gbc_ImageViewer);
        jLabel2 = new javax.swing.JLabel();
        
                jLabel2.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel2.setText(" Last Name :");
                jLabel2.setBorder(null);
                GridBagConstraints gbc_jLabel2 = new GridBagConstraints();
                gbc_jLabel2.fill = GridBagConstraints.BOTH;
                gbc_jLabel2.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel2.gridx = 1;
                gbc_jLabel2.gridy = 2;
                getContentPane().add(jLabel2, gbc_jLabel2);
        LastName = new javax.swing.JLabel();
        
                LastName.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                LastName.setText(lastName);
                LastName.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_LastName = new GridBagConstraints();
                gbc_LastName.fill = GridBagConstraints.BOTH;
                gbc_LastName.insets = new Insets(0, 0, 5, 5);
                gbc_LastName.gridwidth = 2;
                gbc_LastName.gridx = 2;
                gbc_LastName.gridy = 2;
                getContentPane().add(LastName, gbc_LastName);
        jLabel9 = new javax.swing.JLabel();
        
                jLabel9.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel9.setText("Country :");
                jLabel9.setBorder(null);
                GridBagConstraints gbc_jLabel9 = new GridBagConstraints();
                gbc_jLabel9.fill = GridBagConstraints.BOTH;
                gbc_jLabel9.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel9.gridx = 1;
                gbc_jLabel9.gridy = 6;
                getContentPane().add(jLabel9, gbc_jLabel9);
        Country = new javax.swing.JLabel();
        
                Country.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Country.setText(country);
                Country.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Country = new GridBagConstraints();
                gbc_Country.fill = GridBagConstraints.BOTH;
                gbc_Country.insets = new Insets(0, 0, 5, 5);
                gbc_Country.gridx = 2;
                gbc_Country.gridy = 6;
                getContentPane().add(Country, gbc_Country);
        jLabel5 = new javax.swing.JLabel();
        
                jLabel5.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel5.setText("Mobile  :");
                jLabel5.setBorder(null);
                GridBagConstraints gbc_jLabel5 = new GridBagConstraints();
                gbc_jLabel5.fill = GridBagConstraints.BOTH;
                gbc_jLabel5.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel5.gridx = 3;
                gbc_jLabel5.gridy = 6;
                getContentPane().add(jLabel5, gbc_jLabel5);
        Mobile = new javax.swing.JLabel();
        
                Mobile.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Mobile.setText(mobile);
                Mobile.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Mobile = new GridBagConstraints();
                gbc_Mobile.fill = GridBagConstraints.BOTH;
                gbc_Mobile.insets = new Insets(0, 0, 5, 5);
                gbc_Mobile.gridwidth = 3;
                gbc_Mobile.gridx = 4;
                gbc_Mobile.gridy = 6;
                getContentPane().add(Mobile, gbc_Mobile);
        jLabel10 = new javax.swing.JLabel();
        
                jLabel10.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel10.setText("City :");
                jLabel10.setBorder(null);
                GridBagConstraints gbc_jLabel10 = new GridBagConstraints();
                gbc_jLabel10.fill = GridBagConstraints.BOTH;
                gbc_jLabel10.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel10.gridx = 1;
                gbc_jLabel10.gridy = 7;
                getContentPane().add(jLabel10, gbc_jLabel10);
        City = new javax.swing.JLabel();
        
                City.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                City.setText(city);
                City.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_City = new GridBagConstraints();
                gbc_City.fill = GridBagConstraints.BOTH;
                gbc_City.insets = new Insets(0, 0, 5, 5);
                gbc_City.gridx = 2;
                gbc_City.gridy = 7;
                getContentPane().add(City, gbc_City);
        jLabel4 = new javax.swing.JLabel();
        
                jLabel4.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel4.setText("Phone :");
                jLabel4.setBorder(null);
                GridBagConstraints gbc_jLabel4 = new GridBagConstraints();
                gbc_jLabel4.fill = GridBagConstraints.BOTH;
                gbc_jLabel4.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel4.gridx = 3;
                gbc_jLabel4.gridy = 7;
                getContentPane().add(jLabel4, gbc_jLabel4);
        Phone = new javax.swing.JLabel();
        
                Phone.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Phone.setText(phone);
                Phone.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Phone = new GridBagConstraints();
                gbc_Phone.fill = GridBagConstraints.BOTH;
                gbc_Phone.insets = new Insets(0, 0, 5, 5);
                gbc_Phone.gridwidth = 3;
                gbc_Phone.gridx = 4;
                gbc_Phone.gridy = 7;
                getContentPane().add(Phone, gbc_Phone);
        jLabel11 = new javax.swing.JLabel();
        
                jLabel11.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel11.setText("Zip Code :");
                jLabel11.setBorder(null);
                GridBagConstraints gbc_jLabel11 = new GridBagConstraints();
                gbc_jLabel11.fill = GridBagConstraints.BOTH;
                gbc_jLabel11.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel11.gridx = 1;
                gbc_jLabel11.gridy = 8;
                getContentPane().add(jLabel11, gbc_jLabel11);
        ZipCode = new javax.swing.JLabel();
        
                ZipCode.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                ZipCode.setText(zipCode);
                ZipCode.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_ZipCode = new GridBagConstraints();
                gbc_ZipCode.fill = GridBagConstraints.BOTH;
                gbc_ZipCode.insets = new Insets(0, 0, 5, 5);
                gbc_ZipCode.gridx = 2;
                gbc_ZipCode.gridy = 8;
                getContentPane().add(ZipCode, gbc_ZipCode);
        jLabel6 = new javax.swing.JLabel();
        jLabel6.setVerticalAlignment(SwingConstants.BOTTOM);
        
                jLabel6.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel6.setText("Fax  :");
                jLabel6.setBorder(null);
                GridBagConstraints gbc_jLabel6 = new GridBagConstraints();
                gbc_jLabel6.fill = GridBagConstraints.BOTH;
                gbc_jLabel6.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel6.gridx = 3;
                gbc_jLabel6.gridy = 8;
                getContentPane().add(jLabel6, gbc_jLabel6);
        Fax = new javax.swing.JLabel();
        
                Fax.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Fax.setText(fax);
                Fax.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Fax = new GridBagConstraints();
                gbc_Fax.fill = GridBagConstraints.BOTH;
                gbc_Fax.insets = new Insets(0, 0, 5, 5);
                gbc_Fax.gridwidth = 3;
                gbc_Fax.gridx = 4;
                gbc_Fax.gridy = 8;
                getContentPane().add(Fax, gbc_Fax);
        jLabel12 = new javax.swing.JLabel();
        
                jLabel12.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel12.setText("Street No");
                jLabel12.setBorder(null);
                GridBagConstraints gbc_jLabel12 = new GridBagConstraints();
                gbc_jLabel12.fill = GridBagConstraints.BOTH;
                gbc_jLabel12.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel12.gridx = 1;
                gbc_jLabel12.gridy = 9;
                getContentPane().add(jLabel12, gbc_jLabel12);
        Street = new javax.swing.JLabel();
        
                Street.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Street.setText(street);
                Street.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Street = new GridBagConstraints();
                gbc_Street.fill = GridBagConstraints.BOTH;
                gbc_Street.insets = new Insets(0, 0, 5, 5);
                gbc_Street.gridx = 2;
                gbc_Street.gridy = 9;
                getContentPane().add(Street, gbc_Street);
        jLabel8 = new javax.swing.JLabel();
        
                jLabel8.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel8.setText("E-mail  :");
                jLabel8.setBorder(null);
                GridBagConstraints gbc_jLabel8 = new GridBagConstraints();
                gbc_jLabel8.fill = GridBagConstraints.BOTH;
                gbc_jLabel8.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel8.gridx = 3;
                gbc_jLabel8.gridy = 9;
                getContentPane().add(jLabel8, gbc_jLabel8);
        EmailAdd = new javax.swing.JLabel();
        
                EmailAdd.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                EmailAdd.setText(email);
                EmailAdd.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_EmailAdd = new GridBagConstraints();
                gbc_EmailAdd.fill = GridBagConstraints.BOTH;
                gbc_EmailAdd.insets = new Insets(0, 0, 5, 5);
                gbc_EmailAdd.gridwidth = 3;
                gbc_EmailAdd.gridx = 4;
                gbc_EmailAdd.gridy = 9;
                getContentPane().add(EmailAdd, gbc_EmailAdd);
        jLabel13 = new javax.swing.JLabel();
        
                jLabel13.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel13.setText("Apartment :");
                jLabel13.setBorder(null);
                GridBagConstraints gbc_jLabel13 = new GridBagConstraints();
                gbc_jLabel13.fill = GridBagConstraints.BOTH;
                gbc_jLabel13.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel13.gridx = 1;
                gbc_jLabel13.gridy = 10;
                getContentPane().add(jLabel13, gbc_jLabel13);
        Apartment = new javax.swing.JLabel();
        
                Apartment.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
                Apartment.setText(apartment);
                Apartment.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_Apartment = new GridBagConstraints();
                gbc_Apartment.fill = GridBagConstraints.BOTH;
                gbc_Apartment.insets = new Insets(0, 0, 5, 5);
                gbc_Apartment.gridx = 2;
                gbc_Apartment.gridy = 10;
                getContentPane().add(Apartment, gbc_Apartment);
        jLabel7 = new javax.swing.JLabel();
        
                jLabel7.setFont(new java.awt.Font("Tahoma", 3, 12)); // NOI18N
                jLabel7.setText("Alt-Email  :");
                jLabel7.setBorder(null);
                GridBagConstraints gbc_jLabel7 = new GridBagConstraints();
                gbc_jLabel7.fill = GridBagConstraints.BOTH;
                gbc_jLabel7.insets = new Insets(0, 0, 5, 5);
                gbc_jLabel7.gridx = 3;
                gbc_jLabel7.gridy = 10;
                getContentPane().add(jLabel7, gbc_jLabel7);
        AltEmailAdd = new javax.swing.JLabel();
        
                AltEmailAdd.setFont(new java.awt.Font("Tahoma", 0, 12));
                AltEmailAdd.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
                GridBagConstraints gbc_AltEmailAdd = new GridBagConstraints();
                gbc_AltEmailAdd.fill = GridBagConstraints.BOTH;
                gbc_AltEmailAdd.insets = new Insets(0, 0, 5, 5);
                gbc_AltEmailAdd.gridwidth = 3;
                gbc_AltEmailAdd.gridx = 4;
                gbc_AltEmailAdd.gridy = 10;
                getContentPane().add(AltEmailAdd, gbc_AltEmailAdd);
                ExtraInfo = new javax.swing.JTextPane();
                GridBagConstraints gbc_ExtraInfo = new GridBagConstraints();
                gbc_ExtraInfo.gridheight = 2;
                gbc_ExtraInfo.fill = GridBagConstraints.BOTH;
                gbc_ExtraInfo.gridwidth = 6;
                gbc_ExtraInfo.insets = new Insets(0, 0, 5, 5);
                gbc_ExtraInfo.gridx = 1;
                gbc_ExtraInfo.gridy = 11;
                getContentPane().add(ExtraInfo, gbc_ExtraInfo);
                ExtraInfo.setText(extraInfo);
        Cancel = new javax.swing.JButton();
        Cancel.addActionListener(new ActionListener() {
        	public void actionPerformed(ActionEvent arg0) {
        		instance.dispose();
        	}
        });
        
                Cancel.setFont(new java.awt.Font("Tahoma", 3, 15)); // NOI18N
                Cancel.setText("Cancel ");
                GridBagConstraints gbc_Cancel = new GridBagConstraints();
                gbc_Cancel.fill = GridBagConstraints.BOTH;
                gbc_Cancel.insets = new Insets(0, 0, 5, 5);
                gbc_Cancel.gridx = 1;
                gbc_Cancel.gridy = 13;
                getContentPane().add(Cancel, gbc_Cancel);
        Delete = new javax.swing.JButton();
        
                Delete.setFont(new java.awt.Font("Tahoma", 3, 15)); // NOI18N
                Delete.setText("Delete");
                GridBagConstraints gbc_Delete = new GridBagConstraints();
                gbc_Delete.fill = GridBagConstraints.BOTH;
                gbc_Delete.insets = new Insets(0, 0, 5, 5);
                gbc_Delete.gridx = 2;
                gbc_Delete.gridy = 13;
                getContentPane().add(Delete, gbc_Delete);
        Edit = new javax.swing.JButton();
        Edit.addActionListener(new ActionListener() {
        	public void actionPerformed(ActionEvent e) {
        		EditContactWindow.EditItem(contact);
        		window = new EditContactWindow(index);
        		window.open();
        		
        	}
        });
        
                Edit.setFont(new java.awt.Font("Tahoma", 3, 15)); // NOI18N
                Edit.setText("Edit");
                GridBagConstraints gbc_Edit = new GridBagConstraints();
                gbc_Edit.fill = GridBagConstraints.BOTH;
                gbc_Edit.insets = new Insets(0, 0, 5, 5);
                gbc_Edit.gridx = 4;
                gbc_Edit.gridy = 13;
                getContentPane().add(Edit, gbc_Edit);
                        Print = new javax.swing.JButton();
                        /**
                         * @author sediqi
                         * @param event e
                         * This method creates the print object and printer job 
                         * 
                         */
                        Print.addActionListener(new ActionListener() {
                        	public void actionPerformed(ActionEvent e) {
                        		UIManager.put("swing.boldMetal", Boolean.FALSE);
                        	    window =  new ContactDetailsWindow();
                        	    frame =(Printable) window;
                        		PrinterJob job = PrinterJob.getPrinterJob();
                                job.setPrintable(frame);
                                boolean ok = job.printDialog();
                                if (ok) {
                                    try {
                                         job.print();
                                    } catch (PrinterException ex) {
                                     /* The job did not successfully complete */
                                    	System.out.print("Could not print the file");
                                    }
                                }
                        		
                        		
                        		
                        	}
                        });
                       
                        		
                        		
                        			
                        		
                        	
                        
                        
                                Print.setFont(new java.awt.Font("Tahoma", 3, 15)); // NOI18N
                                Print.setText("Print");
                                GridBagConstraints gbc_Print = new GridBagConstraints();
                                gbc_Print.insets = new Insets(0, 0, 5, 5);
                                gbc_Print.fill = GridBagConstraints.BOTH;
                                gbc_Print.gridx = 5;
                                gbc_Print.gridy = 13;
                                getContentPane().add(Print, gbc_Print);

        pack();
    }// </editor-fold>

    private void formWindowStateChanged(java.awt.event.WindowEvent evt) {                                        
        // TODO add your handling code here:
    }                                       

    /**
     * @param args the command line arguments
     */
    public void open() {
        /*
         * Set the Nimbus look and feel
         */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /*
         * If Nimbus (introduced in Java SE 6) is not available, stay with the
         * default look and feel. For details see
         * http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ContactDetailsWindow.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ContactDetailsWindow.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ContactDetailsWindow.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ContactDetailsWindow.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /*
         * Create and display the form
         */
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new ContactDetailsWindow().setVisible(true);
            }
        });
    }
    private javax.swing.JLabel EmailAdd;
    private javax.swing.JLabel Apartment;
    private javax.swing.JButton Cancel;
    private javax.swing.JLabel City;
    private javax.swing.JLabel Country;
    private javax.swing.JButton Delete;
    private javax.swing.JButton Edit;
    private javax.swing.JLabel AltEmailAdd;
    private javax.swing.JTextPane ExtraInfo;
    private javax.swing.JLabel Fax;
    private static javax.swing.JLabel ImageViewer;
    private javax.swing.JLabel LastName;
    private javax.swing.JLabel Mobile;
    private javax.swing.JLabel Name;
    private javax.swing.JLabel Phone;
    private javax.swing.JButton Print;
    private javax.swing.JLabel Street;
    private javax.swing.JLabel ZipCode;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    // End of variables declaration
	@Override
	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub
		
	}
	
	
	/**
	 * 
	 * @param selectedItem and index
	 * The method sets up the fields of contact like name lastname to local variables 
	 * to be displayed in contactdetail frame.
	 * @return void
	 */
   public static void selectedItem(Contact selectedItem, int in){
	   //System.out.println("Contact is selected");
	   
	   
	   
    	index = in;
	   contact = selectedItem;
    	name = contact.getName();
    	lastName = contact.getLastname();
    	sex = contact.getSex();
    	email=contact.getMail();
    	country = contact.getCounrtry();
    	city = contact.getCity();
    	zipCode = contact.getZipcode();
    	street = contact.getStreet();
    	apartment = contact.getApartment();
    	mobile= contact.getMobile();
    	phone = contact.getPhone();
    	fax = contact.getFax();
    	altEmail = contact.getaltEmail();
    	extraInfo = contact.getAdditional_info();
    	
    	dest = new File("pics/"+name+lastName+".jpg");
    	 icon = new ImageIcon(dest.getAbsolutePath());
    	
    	Image img = icon.getImage();
    	Image newImage = img.getScaledInstance(180, 200, java.awt.Image.SCALE_SMOOTH);
    	icon = new ImageIcon(newImage);
    	
    	
    }
	
}
