package gui;


import java.util.List;
import javax.swing.AbstractListModel;
import completemodel.Contact;

/**
 * the class is for listing the contact and stores in memory 
 * @author Bahiz
 *
 */
public class AddressBookModel extends AbstractListModel{


		private List<Contact> contacts;

		public AddressBookModel(List<Contact> contacts) {
			this.contacts = contacts;
		}
		
		public int getSize() {
			return contacts.size();
		}

		public Contact getElementAt(int index) {
			return contacts.get(index);
		}
		public void contactAdded(int index) {
			fireIntervalAdded(this, index, index);
		}

		public void contactDeleted(int index) {
			fireIntervalRemoved(this, index, index);
		}

		public void contactEdited(int index) {
			fireContentsChanged(this, index, index);
		}
		public List<Contact> getContacts(){
			return contacts;
		}

	
}