package gui;

import java.io.FileReader;
import java.util.Scanner;

import maincontroller.MainController;

/**
 * 
 * @author Bahiz
 * 
 *
 */
public class Run {

	private static MainController mainController = new MainController(); ; 
	private static GUIinterface window;
	
	
	public static void main(String[] args) throws Exception{
		load();
	
		
	}
	
	
	// load window based on the config file
	protected static void load()throws Exception{
		
		if(registered()){
			window = new WelcomeWindow();
			
		}
		else{
			window = new ConfigurationWindow();
		}
		mainController.open(window);

	}
	
	// checks if the user is registered for the first time 
	protected static boolean registered()throws Exception {
		boolean FLAGE_REG=false;
		Scanner in = null;
		in = new Scanner(new FileReader("config.txt"));
		while( in.hasNextLine() && ! FLAGE_REG ){
			FLAGE_REG = in.nextLine().indexOf("FLAGE_REG=true") >=0;
		}
		return FLAGE_REG;
	}

}
